Index: /trunk/MagicSoft/Mars/Changelog
===================================================================
--- /trunk/MagicSoft/Mars/Changelog	(revision 8535)
+++ /trunk/MagicSoft/Mars/Changelog	(revision 8536)
@@ -34,4 +34,9 @@
    * steps.rc:
      - fixed typo
+
+   * datacenter/scripts/checkscriptrunning:
+     - added (script to check if a script is runnning, including 
+       command line option, to allow for several jobmanagers and 
+       zipscripts of one Mars Version) 
 
 
Index: /trunk/MagicSoft/Mars/datacenter/scripts/checkscriptrunning
===================================================================
--- /trunk/MagicSoft/Mars/datacenter/scripts/checkscriptrunning	(revision 8536)
+++ /trunk/MagicSoft/Mars/datacenter/scripts/checkscriptrunning	(revision 8536)
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  05/2007 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2007
+#
+#
+# ========================================================================
+#
+# This script checks, if another script - given by command line option - 
+# is running. 
+#
+
+source `dirname $0`/sourcefile
+#printprocesslog "INFO starting $0"
+
+if ! [ "$2" = "" ]
+then
+   printprocesslog "WARN two many command line options given in $@ -> exit"
+   finish
+fi
+
+path=`dirname $0`
+script=$path/$1
+if ! ps  aux | grep "$script" | grep -v grep >/dev/null
+then 
+   printprocesslog "INFO starting $script"
+   $script &
+fi 
+
+#printprocesslog "INFO finished $0"
+
